MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026940Open CASCADE[OCCT] OCCT:Visualizationpublic2015-11-30 19:002016-04-20 15:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026940: Visualization, TKOpenGl - capping plane should be applied to connected structures
DescriptionCapping plane is ignored within rendering of connected structures within OpenGl_Structure::RenderGeometry().
Steps To Reproduce
vinit View1
vclear
vaxo
vsetdispmode 1
box b 1 1 1
vdisplay b
vfit

vclipplane create pln
vclipplane set pln view Driver1/Viewer1/View1
vclipplane change pln equation 0 1 0 -0.5
vclipplane change pln capping on
# capping is OK here

vclear
vconnectto bb 0 0 0 b
# no capping - only clipping
TagsNo tags attached.
Test case numberbugs vis bug26940
Attached Files

- Relationships
related to 0024837closedbugmaster Open CASCADE Visualization - revise design and implementation of connected Interactive Objects 
has duplicate 0027188closedbugmaster Community AIS_ConnectedInteractive doesn't capping 

-  Notes
(0048672)
git (administrator)
2015-12-01 14:02

Branch CR26940 has been created by kgv.

SHA-1: a274214df0b0509fa147e609cbc63dfc3e694358


Detailed log of new commits:

Author: kgv
Date: Tue Dec 1 13:53:51 2015 +0300

    0026940: Visualization, TKOpenGl - capping plane should be applied to connected structures
    
    OpenGl_Structure::Render(), OpenGl_CappingAlgo::RenderCapping() - render
    groups of instanced and this structure in the same manner
    using ::renderGeometry() and ::renderClosedGeometry() instead of ::DrawGroups().
    Skip capping algo for structures without groups of closed primitives.
(0048673)
kgv (developer)
2015-12-01 14:02

Please test the patch.
(0048687)
apv (tester)
2015-12-02 11:55

Dear BugMaster,

Branch CR26940 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: a274214df0b0509fa147e609cbc63dfc3e694358

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 134 (134 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26940 - OK
http://occt-tests/CR26940-master-occt-64/Debian70-64/bugs/vis/bug26940.html [^]
http://occt-tests/CR26940-master-occt-64/Windows-64-VC10/bugs/vis/bug26940.html [^]

Testing on Linux:
Total MEMORY difference: 92434911 / 91612209 [+0.90%]
Total CPU difference: 19820.109999999822 / 20030.639999999705 [-1.05%]

Testing on Windows:
Total MEMORY difference: 57770682 / 57833189 [-0.11%]
Total CPU difference: 18370.20975699887 / 20089.76197969905 [-8.56%]
(0053069)
git (administrator)
2016-04-17 14:07

Branch CR26940 has been deleted by kgv.

SHA-1: a274214df0b0509fa147e609cbc63dfc3e694358

- Related Changesets
occt: master cc6852f3
Timestamp: 2015-12-01 10:53:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026940: Visualization, TKOpenGl - capping plane should be applied to connected structures

OpenGl_Structure::Render(), OpenGl_CappingAlgo::RenderCapping() - render
groups of instanced and this structure in the same manner
using ::renderGeometry() and ::renderClosedGeometry() instead of ::DrawGroups().
Skip capping algo for structures without groups of closed primitives.
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_StructureShadow.hxx Diff ] File ]
add - tests/bugs/vis/bug26940 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-30 19:00 kgv New Issue
2015-11-30 19:00 kgv Assigned To => kgv
2015-11-30 19:01 kgv Relationship added related to 0024837
2015-12-01 11:51 kgv Steps to Reproduce Updated View Revisions
2015-12-01 14:02 git Note Added: 0048672
2015-12-01 14:02 kgv Assigned To kgv => san
2015-12-01 14:02 kgv Note Added: 0048673
2015-12-01 14:02 kgv Assigned To san => bugmaster
2015-12-01 14:02 kgv Status new => resolved
2015-12-01 14:03 kgv Status resolved => reviewed
2015-12-01 14:18 apv Assigned To bugmaster => apv
2015-12-01 14:42 mkv Assigned To apv => mkv
2015-12-01 14:45 mkv Assigned To mkv => apv
2015-12-01 16:37 apv Test case number => bugs vis bug26940
2015-12-02 11:55 apv Note Added: 0048687
2015-12-02 11:55 apv Assigned To apv => bugmaster
2015-12-02 11:55 apv Status reviewed => tested
2015-12-04 20:05 bugmaster Changeset attached => occt master cc6852f3
2015-12-04 20:05 bugmaster Status tested => verified
2015-12-04 20:05 bugmaster Resolution open => fixed
2016-02-19 12:51 kgv Relationship added has duplicate 0027188
2016-04-17 14:07 git Note Added: 0053069
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker